import os

from app import create_app

app = create_app()

if __name__ == '__main__':
    """
    启动 Flask 应用。当脚本直接执行时，运行 Flask 应用的开发服务器。
    """
    app.logger.info('检澜（DockScope）后端服务开始运行……')
    host = os.environ.get('FLASK_RUN_HOST', '127.0.0.1')
    port = int(os.environ.get('FLASK_RUN_PORT', '5000'))
    app.run(host=host, port=port)
